@import "@/styles/variables";

.datasets-container {
    grid-column: 1 / -1;
    display: grid;
    row-gap: 2rem;
    grid-template-areas:
        "filters filters"
        "filterView filterView"
        "resultline resultline"
        "datasets datasets"
        "navigation navigation";

    @include notebook {
        column-gap: 2rem;
        grid-template:
            "filterView filterView filterView" auto "filters resultline resultline" 2rem
            "filters datasets datasets" auto
            "filters datasets datasets"
            "filters navigation navigation" / 33% auto;
    }

    @include desktop {
        grid-template-columns: 28% auto;
    }
}

.datasets-navigation {
    grid-area: navigation;
    align-items: center;
    gap: 2rem;

    @include col;
}
